Status: Resolved Priority: Should have
Author: Arvid Jakobsson Category: Code Cleanup
Created: 2012-09-16 Assigned To: Arvid Jakobsson
Updated: 2012-09-18 Due date:
TYPO3 Version: 6.0
PHP Version:
Complexity:
Sprint Focus:
Subject: Superfluous brackets in sysext sysexts "info_pagetsconfig", "install", "integrity" and "lang" after namespaces 

move
Description

The following syntax appears in various parts of these extensions:

-    if (((!$root && !$DBmount) && $elFromTable) && $GLOBALS['TCA'][$table]['ctrl']['sortby']) {
+    if (!$root && !$DBmount && $elFromTable && $GLOBALS['TCA'][$table]['ctrl']['sortby']) {

Associated revisions
Revision 302de452 - 2012-09-18 12:47 - Arvid Jakobsson

[TASK] Remove superfluous parenthesis in sysexts

Removes superfluous parenthesis in sysexts "info_pagetsconfig",
"install", "integrity" and "lang".

Change ("a" . "b") . "c" into "a" . "b" . "c" using the lex-pass tool.

Change-Id: I367b1bef893de93964b41d900f29e2dfcedb8aaf
Resolves: #40967
Related: #40095
Reviewed-on: http://review.typo3.org/14626
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Jigal van Hemert
Tested-by: Jigal van Hemert

History
#1 - 2012-09-16 21:52 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14626

#2 - 2012-09-16 22:12 - Gerrit Code Review

2015-08-04 1/2

http://review.typo3.org/14626
http://review.typo3.org/14626


Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14626

#3 - 2012-09-16 22:20 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14626

#4 - 2012-09-18 13:30 - Arvid Jakobsson
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:302de452c71e16bf1c3877b5ec85ef6166f9aa5a.
